Skip to content

Edit Source Registry

PUT
/api/v1/container_registry/registries/{source_registry_id}/
curl --request PUT \
--url 'https://api.e2enetworks.com/myaccount/api/v1/container_registry/registries/{source_registry_id}/?cr_project_id=<CR_PROJECT_ID>&project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"registry_type": "docker-hub",
"registry_name": "source-registry",
"registry_description": "docker hub source registry",
"registry_url": "https://hub.docker.com",
"registry_insecure": true,
"access_key": "<token_name>",
"access_secret": "<token_value>"
}'
source_registry_id
required
integer

Source Registry ID

cr_project_id
required
integer
project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Media typeapplication/json
object
registry_type
string

Example

docker-hub
registry_name
string

Example

source-registry
registry_description
string

Example

docker hub source registry
registry_url
string

Example

https://hub.docker.com
registry_insecure
boolean

Example

true
access_key
string

Example

<token_name>
access_secret
string

Example

<token_value>

Registry updated successfully.

Media typeapplication/json
object
code
integer
data
object
registry_name
string
registry_type
string
registry_id
integer
registry_url
string format: uri
registry_insecure
boolean
customer
integer
project
integer
created_at
string format: date-time
updated_at
string format: date-time
deleted_at
string format: date-time
nullable
registry_description
string
errors
object
key
additional properties
string
message
string

Example

{
"code": 200,
"data": {
"registry_name": "docker-source",
"registry_type": "docker-hub",
"registry_id": 50,
"registry_url": "https://hub.docker.com",
"registry_insecure": true,
"customer": 12345,
"project": 123,
"created_at": "2025-04-29T09:54:19.956502Z",
"updated_at": "2025-04-29T10:03:49.754054Z",
"deleted_at": null,
"registry_description": "docker hub source registry"
},
"errors": {},
"message": "Registry Updated Successfully"
}